Loading...
Searching...
No Matches
RDKit::MolStandardize::Layout2DValidation Class Reference

`#include <Validate.h>`

Inheritance diagram for RDKit::MolStandardize::Layout2DValidation:

## Public Member Functions

| Layout2DValidation (double clashLimit=0.15, double bondLengthLimit=25., bool allowLongBondsInRings=true, bool allowAtomBondClashExemption=true, double minMedianBondLength=1e-3)
std::vector< ValidationErrorInfo > | validate (const ROMol &mol, bool reportAllFailures) const override
std::shared_ptr< ValidationMethod > | copy () const override
Public Member Functions inherited from RDKit::MolStandardize::ValidationMethod
| ValidationMethod ()=default
virtual | ~ValidationMethod ()=default

## Static Public Member Functions

static double | squaredMedianBondLength (const ROMol &mol, const Conformer &conf)

## Public Attributes

double | clashLimit
double | bondLengthLimit
bool | allowLongBondsInRings
bool | allowAtomBondClashExemption
double | minMedianBondLength

## Detailed Description

The Layout2DValidation class reports an error if any atoms are too close to any other atoms or bonds, and in case any bonds are too long.

Definition at line 270 of file Validate.h.

## Constructor & Destructor Documentation

## Layout2DValidation()

RDKit::MolStandardize::Layout2DValidation::Layout2DValidation | ( | double | clashLimit = `0.15`,
|  | double | bondLengthLimit = `25.`,
|  | bool | allowLongBondsInRings = `true`,
|  | bool | allowAtomBondClashExemption = `true`,
|  | double | minMedianBondLength = `1e-3`
| ) |  |

inline

Definition at line 272 of file Validate.h.

## Member Function Documentation

## copy()

std::shared_ptr< ValidationMethod > RDKit::MolStandardize::Layout2DValidation::copy | ( |  | ) | const

inline override virtual

Implements RDKit::MolStandardize::ValidationMethod.

Definition at line 283 of file Validate.h.

## squaredMedianBondLength()

static double RDKit::MolStandardize::Layout2DValidation::squaredMedianBondLength | ( | const ROMol & | mol,
|  | const Conformer & | conf
| ) |  |

static

## validate()

std::vector< ValidationErrorInfo > RDKit::MolStandardize::Layout2DValidation::validate | ( | const ROMol & | mol,
|  | bool | reportAllFailures
| ) |  | const

override virtual

Implements RDKit::MolStandardize::ValidationMethod.

## Member Data Documentation

## allowAtomBondClashExemption

bool RDKit::MolStandardize::Layout2DValidation::allowAtomBondClashExemption

Definition at line 293 of file Validate.h.

## allowLongBondsInRings

bool RDKit::MolStandardize::Layout2DValidation::allowLongBondsInRings

Definition at line 292 of file Validate.h.

## bondLengthLimit

double RDKit::MolStandardize::Layout2DValidation::bondLengthLimit

Definition at line 291 of file Validate.h.

## clashLimit

double RDKit::MolStandardize::Layout2DValidation::clashLimit

Definition at line 290 of file Validate.h.

## minMedianBondLength

double RDKit::MolStandardize::Layout2DValidation::minMedianBondLength

Definition at line 294 of file Validate.h.

The documentation for this class was generated from the following file:

- Validate.h